Companion no longer works on Android

After being forced to update my companion app, it no longer works on my android device … I’m guessing cause my phone doesn’t have Google play?

If so, that is very disappointing :confounded:

Hi @Marcus_Fellowes

Please see : Upcoming Changes to Supported Operating Systems [Effective August 2022] - #11

Thx @Gerrie_Delport_ODZ

I don’t pay enough attention to update etc :slight_smile:

Funny thing about it is that zwift saying that it’s all about security risks , but the majority of us that use Custom ROMs on our devices do so because we believe that Google is the security risk :joy::nerd_face:

2 Likes

I have seen people upgrade to a later custom rom to be able to use Zwift.

I’m pretty sure that Zwift’s main reasons for deprecating older OSes is not about security (that’s a separate issue), but about supportability of ever-increasing combinations of older OSes with later Zwift versions.

2 Likes

I understand that regarding older OS’.

I’ve played Zwift on ATV 4K for about 5yrs now… But I use (or used too use) Companion on my phone, which is an Android 11 custom ROM that runs EVERY other app on my phone, even ones like Strava that require google services, the ONLY apps that don’t work out of any I’ve loaded to this device are Zwift and Companion app…

And exactly who’s security risk is it to use apks not from the playstore or custom ROMs? Surely that’s the user/customers risk and decision…

unlikely as I run zwift from a Huawei matepad 10 tablet that doesn’t have the google play services and it works fine

@Marcus_Fellowes I don’t think it’s a custom ROM issue - I use LineageOS and can run both Zwift and Companion on that device, and @Rich_aka_sandbagger says he’s used it on a tablet without play services.

If your ROM is based on Android 11, you should be fine from a supported OS perspective.

Interesting, do you run GAPPS on your Lineage device?

I have 4 devices in this house, all custom ROMs, all based on ANDROID 11&12 one has LineageOS, NO GAPPs, and ZWIFT or Companion don’t run on any since 3.38 update, they all hang on the blue splash screen

[quote=“Marcus Fellowes [INC] , post:9, topic:588387, username:Marcus_Fellowes”]
I have 4 devices in this house, all custom ROMs, all based on ANDROID 11&12 one has LineageOS, NO GAPPs, and ZWIFT or Companion don’t run on any since 3.38 update, they all hang on the blue splash screen
[/quote]

Perhaps try running it while connected in USB (or WiFi if rooted or via USB if not) debug mode and check if there are any error messages in the logcat ouput when it hangs.

I’ve done a launching with usb debugging, it’s something linked with “FirebaseIstanceId” package.

09-01 16:31:04.322  2133  2133 I ft.android.pro: Loaded relay server URL: https://us-or-rly101.zwift.com/relay/
09-01 16:31:04.324  2133 10352 W FirebaseInstanceId: Failed to find package android.content.pm.PackageManager$NameNotFoundException: com.google.android.gms
09-01 16:31:04.326  2133 10352 W FirebaseInstanceId: Failed to find package android.content.pm.PackageManager$NameNotFoundException: com.google.android.gms
09-01 16:31:04.326  2133 10352 E FirebaseInstanceId: Google Play services missing or without correct permission.
09-01 16:31:04.340  2133 10352 W FirebaseInstanceId: Failed to find package android.content.pm.PackageManager$NameNotFoundException: com.google.android.gms
09-01 16:31:04.341  2133 10352 W FirebaseInstanceId: Failed to find package android.content.pm.PackageManager$NameNotFoundException: com.google.android.gms
09-01 16:31:04.341  2133 10352 E FirebaseInstanceId: Google Play services missing or without correct permission.
09-01 16:31:04.374  2133  2133 E ft.android.pro: Error loading Remote Config
09-01 16:31:04.423     0     0 I [20220901_16:31:04.421702]@0 BQ: update_battery_soc_work: plugin:1,dash_start:0:smooth:0
09-01 16:31:04.571  2133  2133 W FirebaseRemoteConfig: No value of type 'String' exists for parameter key 'forced_update_info'.
09-01 16:31:04.571  2133  2133 E Event   : Could not dispatch event: class com.zwift.android.ui.event.GameInfoInitializationEvent to subscribing class class com.zwift.android.ui.activity.LoginActivity
09-01 16:31:04.571  2133  2133 E Event   : java.lang.NullPointerException: gson.fromJson(firebaseRe…ersionUpdate::class.java) must not be null
09-01 16:31:04.571  2133  2133 E Event   : 	at com.zwift.android.services.RemoteConfig.n(SourceFile:1)
09-01 16:31:04.571  2133  2133 E Event   : 	at com.zwift.android.app.UpdateManager.k(SourceFile:1)
09-01 16:31:04.571  2133  2133 E Event   : 	at com.zwift.android.ui.activity.LoginActivity.onEventMainThread(SourceFile:5)
09-01 16:31:04.571  2133  2133 E Event   : 	at java.lang.reflect.Method.invoke(Native Method)
09-01 16:31:04.571  2133  2133 E Event   : 	at de.greenrobot.event.EventBus.f(SourceFile:1)
09-01 16:31:04.571  2133  2133 E Event   : 	at de.greenrobot.event.EventBus.e(SourceFile:5)
09-01 16:31:04.571  2133  2133 E Event   : 	at de.greenrobot.event.HandlerPoster.handleMessage(SourceFile:9)
09-01 16:31:04.571  2133  2133 E Event   : 	at android.os.Handler.dispatchMessage(Handler.java:106)
09-01 16:31:04.571  2133  2133 E Event   : 	at android.os.Looper.loop(Looper.java:223)
09-01 16:31:04.571  2133  2133 E Event   : 	at android.app.ActivityThread.main(ActivityThread.java:7664)
09-01 16:31:04.571  2133  2133 E Event   : 	at java.lang.reflect.Method.invoke(Native Method)
09-01 16:31:04.571  2133  2133 E Event   : 	at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:592)
09-01 16:31:04.571  2133  2133 E Event   : 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:947)
09-01 16:31:04.571  2133  2133 D Event   : No subscribers registered for event class de.greenrobot.event.SubscriberExceptionEvent

Possibly due to

09-01 16:31:04.326  2133 10352 E FirebaseInstanceId: Google Play services missing or without correct permission.

which may mean a problem with the GAPPS version in which the play services are probably located. See for instance How to Fix Google Play Services error on Lineage OS - LineageOS ROM | Download Gapps and Roms.